BMProduction.NET >> Development and Processing Software by Marco Billeri

 

BMProduction Framework 1.0 and 1.1

Support for the BMProduction Framework 1.0 has ended January 1, 2008. Support for the BMProduction Framework 1.1 has ended September 1, 2012.

From September 2012 BMProduction distributes applications only developed for BMProduction Framework 2 and later. Framework 1.0 and 1.1 technology is now completely abandoned.

Owners of these versions of the Framework are required to uninstall them and not make more use, as specified in the Terms of License.


Why the Framework 1.0 and 1.1 are outdated??

The applications developed for Framework 1.0 and 1.1 are not able to work well on Windows Vista and later operating systems. In addition, these applications are not able to take advantage of all the new graphics capabilities and resources made ‚Äč‚Äčavailable by the most recent operating systems. BMProduction preferred to ensure a longer life cycle of new applications renouncing support for operating systems earlier than Windows XP. The policy adopted previously was instead also ensure compatibility for users of Windows 98 and Windows 2000. These operating systems today are outdated and untrusted in terms of safety and security. BMProduction therefore looks at new technologies and new operating systems.


Can I upgrade Framework 1.1 to a new version ?

No. You can not update the Framework 1.1 to a later version. Each version of the BMProduction Framework is a separate product and as such is installed and operates completely independently of each other.


Applications developed for Framework 1.1 works by installing a later version?

No. The next Framework to version 1.1 using a new technology application deployment based on Microsoft .NET Framework. Applications developed with Framework 1.0 and 1.1 instead make use of a different technology based on Microsoft Visual Basic 6.0 Runtime. Applications based on this old technology are not able to work with the installation of a recent version of BMProduction Framework. To use these applications dated you must install the Microsoft Visual Basic 6.0 Runtime.


Can I run a legacy BMProduction application?

Yes, if you still have a valid License. You can try to run legacy BMProduction applications by installing the Microsoft Visual Basic 6.0 Runtime Pack. You can find the link to download this package on this page, the higher on the right side.


Notice: This page is electronically translated from Italian. BMProduction assumes no responsibility for any errors that occurred during translation and / or any problem related to a misunderstanding and / or interpretation of the translated text. Always refer to the original text in Italian. BMProduction is pleased to accept comments or suggestions to improve the translation of the text.